aboutsummaryrefslogtreecommitdiffstats
path: root/contrib/travis.sh
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/travis.sh')
-rwxr-xr-xcontrib/travis.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/contrib/travis.sh b/contrib/travis.sh
new file mode 100755
index 0000000..7e73522
--- /dev/null
+++ b/contrib/travis.sh
@@ -0,0 +1,20 @@
+#!/usr/bin/env bash
+
+set -ex
+
+rm -rf deps/install
+mkdir deps || true
+cd deps
+git clone git://git.osmocom.org/libosmocore
+
+cd libosmocore
+git reset --hard 460f9ef7da1db11b104fdfe635ebcbd8a071f205
+autoreconf --install --force
+./configure --prefix=$PWD/../install
+make -j 4 install
+
+cd ../../
+autoreconf --install --force
+PCAP_LIBS="-lpcap" PCAP_CFLAGS="" PKG_CONFIG_PATH=$PWD/deps/install/lib/pkgconfig ./configure --with-pcap-config=/bin/true
+PKG_CONFIG_PATH=$PWD/deps/install/lib/pkgconfig make -j 4
+DISTCHECK_CONFIGURE_FLAGS="--with-pcap-config=/bin/true" PCAP_LIBS="-lpcap" PCAP_CFLAGS="" PKG_CONFIG_PATH=$PWD/deps/install/lib/pkgconfig LD_LIBRARY_PATH=$PWD/deps/install/lib make distcheck